Does my firmware version need to match between the 18R2 and other devices?

In order for your COBRA Firing System to work correctly, the firmware version on your 18R2 must match the firmware on your firing modules and other COBRA equipment like the Audio Box. 

One thing to note is that some products will have different iterations of firmware but still work together. For example, the COBRA 18R2 controller runs version 5.0.5 and the 18M firing module runs 5.0.2. This is because there were bug fixes or small changes that were only required on one device but the main firmware version is still the same at 5.0.X.

Please see below for a chart that outlines firmware compatibility.

18R 18R2   18M 36M/72M
Audio Box
1.4.7 N/A compatible with 2.1.0/2.1.1 N/A N/A
2.1.0/2.1.1 2.1.0/2.1.1 compatible with 2.1.0/2.1.1 N/A N/A
3.0.0 3.0.0 compatible with 3.0.1 N/A 3.0.1
3.0.2 3.0.2 compatible with 3.0.2 N/A 3.0.2
3.0.3 3.0.3 compatible with 3.0.3 N/A 3.0.3
4.0.0 4.0.0 compatible with 4.0.0 N/A 4.0.0
5.0.0 5.0.0 compatible with 5.0.0 5.0.0 5.0.0
5.0.2/5.0.3 5.0.2/5.0.5 compatible with 5.0.2 5.0.2/5.0.3 5.0.2
6.0.4 6.0.5/6.0.5 compatible with 6.0.4 6.0.5/6.0.6 6.0.4
Was this article helpful?
2 out of 2 found this helpful

Articles in this section

See more
Our Support Team Hours:
9:00am - 5:00pm EDT Monday to Friday. We can be reached by phone at 518-741-4300 or email help@cobrafiringsystems.com
Emergency Shoot Site Support
COBRA offers a 24-hour support system for on-site emergencies. If you are on a shoot site and encounter a show-stopping issue, please reach out to us via phone at 929-930-6868.